J'utilise AMC-QCM pour des examens de Masters avec 1 fiche de réponse unique et la fiche PROF comme 
corrigé. Le questionnaire étant généré à part.
Concernant la fiche de réponse, la plupart de mes questions int une seule réponse possible mais j'aimerais 
créer des questions aux réponses multiples possibles. Que dois-je modifier dans le barème et où dois-je 
mettre la formule dans le fichier source.
J'ai l'ancienne version d'AMC-QCM (2019)
Merci beaucoup.
Karine Goyer

History
01/09/2024 03:28 pm - Alexis Bienvenüe
- Tracker changed from Bug to Support

01/09/2024 03:28 pm - Alexis Bienvenüe
Pouvez-vous joindre votre fichier source ?

01/09/2024 03:42 pm - Karine Goyer
Alexis Bienvenüe wrote:
> Pouvez-vous joindre votre fichier source ?

Je suis débutante en la matière. Comment je vous envoie de fichier source? Je copie tout et je mets dans un ficher Word?
Ou sous un autre format?

01/09/2024 03:56 pm - Alexis Bienvenüe
Inutile de changer de format : vous pouvez le joindre `a votre prochain message en cliquant sur " Fichiers" juste en-dessous du texte de votre message 
ici.

01/09/2024 03:59 pm - Karine Goyer
- File Fichier_sourceAMC-KG.txt added

- File FichierSource-KG.odt added

Alexis Bienvenüe wrote:
> Inutile de changer de format : vous pouvez le joindre `a votre prochain message en cliquant sur " Fichiers" juste en-dessous du texte de votre 
message ici.

01/10/2024 11:51 am - Karine Goyer
Karine Goyer wrote:
> Alexis Bienvenüe wrote:
> > Inutile de changer de format : vous pouvez le joindre `a votre prochain message en cliquant sur " Fichiers" juste en-dessous du texte de votre 
message ici.
Bonjour
Est-ce que vous avez pu regarder les fichiers joints de mon fichier source? Juste pour vérifier qu'ils vont soient bien parvenus.
Par avance, je vous remercie.
Cordialement,

01/10/2024 12:07 pm - Alexis Bienvenüe
Bien reçu : merci.
Dans votre fichier, les deux lignes non commentées (sans % au début) suivantes fixent les barèmes par défaut des questions "simples" (une unique 
bonne réponse) et les questions "multiples" (zéro, une ou plusieurs bonnes réponses).
<pre>
\baremeDefautS{b=1,m=0} %% barème question simple 1pt si juste 0 si faux 
\baremeDefautM{e=0,v=0,b=0,m=-1,d=NB+(NBC+NMC>0?0:(NB>0?-1:1))}
</pre>
Pour indiquer quelles questions sont simples et quelles questions sont multiples, deux solutions :
# Lorsque vous cliquez sur _Corriger_ avec la case _Mettre à jour le barème_ cochée, une fenêtre apparaît pour vous demander quelle est la copie 
remplie par l'enseignant, qui comporte donc les bonnes réponses. Vous avez sur cette fenêtre une case *Estimer statut simple/multiple des questions*. 
Si vous cochez cette case, AMC considérera que les questions pour lesquelles l'enseignant a coché plusieurs bonnes réponses sont des questions 
multiples, et les autres sont simples.
# Vous pouvez modifier le fichier source en remplaçant @\begin{questionmult}@ et @\end{questionmult}@ par @\begin{question}@ et 
@\end{question}@ pour les questions simples, et laisser le @mult@ pour les questions multiples. Ensuite, vous pouvez relancer une correction en 
cochant la case _Mettre à jour le barème_.

Files
Fichier_sourceAMC-KG.txt 9.3 kB 01/09/2024 Karine Goyer
FichierSource-KG.odt 19.9 kB 01/09/2024 Karine Goyer
